Package | Class | Tree | Deprecated
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hsqldb
Class Profile

    java.lang.Object
      |
      +--org.hsqldb.Profile

public class Profile
extends java.lang.Object

This class is used to test and profile HSQL Database Engine. Before it can be used, the source code of the database must be changed using CodeSwitcher, then compiled, then the test program must be run, and at the end the static function listUnvisited must be called. This will list all not visited lines and it will print out the top 20 lines with the most visits, the longest run and the longest run per call.

This class is generic can be used to profile also other programs.

Inner Class Summary
`(package private) class` | `Profile.File` Class declaration

Field Summary
`(package private) boolean` | `bStop`
`(package private) boolean` | `bVisited`
`(package private) Profile.File` | `fLastFile`
`(package private) java.util.Hashtable` | `hash`
`(package private) int` | `iLastLine`
`(package private) long` | `lLastTime`
`(package private) static Profile` | `main`
`(package private) static int` | `PERCALL`
`(package private) static int` | `TIME`
`(package private) static int` | `TOP`
`(package private) static int` | `VISIT`

Constructor Summary
`Profile()`

Method Summary
`static void` | `listUnvisited()` Method declaration
`(package private) void` | `m_listUnvisited()` Method declaration
`(package private) void` | `m_visit(java.lang.String file, int line, int maxline)` Method declaration
`(package private) void` | `print(java.lang.String s)` Method declaration
`(package private) void` | `printHigh(java.lang.String name, int type)` Method declaration
`(package private) void` | `printline(char c)` Method declaration
`(package private) void` | `printTimePerFile()` Method declaration
`static void` | `visit(java.lang.String file, int line, int maxline)` Method declaration

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### main

    static Profile main

### TOP

    static final int TOP

### VISIT

    static final int VISIT

### TIME

    static final int TIME

### PERCALL

    static final int PERCALL

### hash

    java.util.Hashtable hash

### bVisited

    boolean bVisited

### bStop

    boolean bStop

### fLastFile

    Profile.File fLastFile

### iLastLine

    int iLastLine

### lLastTime

    long lLastTime

Constructor Detail

### Profile

    public Profile()

Method Detail

### visit

    public static void visit(java.lang.String file,
                             int line,
                             int maxline)

  Method declaration
  Parameters:
    `file` -
    `line` -
    `maxline` -

### listUnvisited

    public static void listUnvisited()

  Method declaration

### m_visit

    void m_visit(java.lang.String file,
                 int line,
                 int maxline)

  Method declaration
  Parameters:
    `file` -
    `line` -
    `maxline` -

### m_listUnvisited

    void m_listUnvisited()

  Method declaration

### printTimePerFile

    void printTimePerFile()

  Method declaration

### printHigh

    void printHigh(java.lang.String name,
                   int type)

  Method declaration
  Parameters:
    `name` -
    `type` -

### print

    void print(java.lang.String s)

  Method declaration
  Parameters:
    `s` -

### printline

    void printline(char c)

  Method declaration
  Parameters:
    `c` -

Package | Class | Tree | Deprecated
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD